Package com.pixelmed.convert

# Class RawImageDescription

java.lang.Object
com.pixelmed.convert.RawImageDescription

public class RawImageDescription extends Object

A class for extracting a JSON encoded raw input format description.

E.g.:

     {
            "type" : "float",
            "rows" : "1600",
            "columns" : "1600"
     }

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`columns`
`protected int`
`frames`
`protected boolean`
`isDataBigEndian`
`protected int`
`rows`
`protected com.pixelmed.convert.RawImageDescription.Type`
`type`

## Constructor Summary

Constructors
Constructor
Description
`RawImageDescription(File formatFile)`

## Method Summary

Modifier and Type
Method
Description
`com.pixelmed.convert.RawImageDescription.Type`
`getType()`
`static void`
`main(String[] arg)`
Read a JSON encoded raw input format description and dump it.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### type

protected com.pixelmed.convert.RawImageDescription.Type type

### rows

protected int rows

### columns

protected int columns

### frames

protected int frames

### isDataBigEndian

protected boolean isDataBigEndian

## Constructor Details

### RawImageDescription

public RawImageDescription(File formatFile) throws IOException, NumberFormatException

Throws:
  `IOException`
  `NumberFormatException`

## Method Details

### getType

public com.pixelmed.convert.RawImageDescription.Type getType()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Read a JSON encoded raw input format description and dump it.

Parameters:
  `arg` - the format description file